CREATE TABLE egp_ds_team_permsets (
    TEAM_PERMSET_ID           NUMBER(18, 0) ,
    DS_TEAM_ID                NUMBER(18, 0)     NOT NULL,
    PERMISSION_SET_ID         NUMBER(18, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    TEAM_PERMSET_ID           NUMBER(18, 0) ,
    DS_TEAM_ID                NUMBER(18, 0)     NOT NULL,
    PERMISSION_SET_ID         NUMBER(18, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_egp_ds_team_permsets PRIMARY KEY (TEAM_PERMSET_ID, TEAM_PERMSET_ID)
);
